<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\Anmeldung\HandleTnDataTable;

use Kufer\KuferTools\Utils\DatamodulHelper\TeilnehmerHelper\TeilnehmerHelper;

class HandleTnDataTableUseCase extends \Kufer\KuferTools\Basis\Anmeldung\HandleTnDataTable\HandleTnDataTableUseCase
{
  public static function getToolSectionId()
  {
    return 636;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_VA;
  }

  protected function getTeilnehmerHelper(): TeilnehmerHelper
  {
    return TeilnehmerHelper::createVeranstalterAnmeldungTeilnehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }

  protected function getTeilnehmerFirmenHelper($firmenTnr): TeilnehmerHelper
  {
    return TeilnehmerHelper::createVeranstalterAnmeldungTeilnehmerVonFirmaUebersicht(
      $this->toolSettings,
      $this->getUser(),
      $firmenTnr
    );
  }
}